Page MenuHomePhabricator

RTL related issue with Mozilla Firefox and Netscape: text and checkboxes get squeezed; implement workaround
Closed, ResolvedPublic

Description

Author: gangleri

Description:
Hallo!

screen dump follows

The screen dump shows [[wiktionary:yi:special:Watchlist/edit]] viewed with
Mozilla Firefox, Netscape and Internet Explorer.

Internet Explorer shows a space between the checkboxes and the titles. If you
look at the watchlist with Mozilla Firefox or Netscape you will *not* see the space.

*note* This might be a browser related issue or might be fixed changing
Monobook.css .

This behavior can be experienced also at other RTL wikis. See
[[wikipedia:ar:special:Watchlist/edit]] etc.

best regards reinhardt [[user:gangleri]]


Version: unspecified
Severity: trivial
URL: http://yi.wiktionary.org/wiki/special:Watchlist/edit

Details

Reference
bz4114

Event Timeline

bzimport raised the priority of this task from to Normal.Nov 21 2014, 8:58 PM
bzimport set Reference to bz4114.
bzimport added a subscriber: Unknown Object (MLST).
bzimport created this task.Nov 29 2005, 8:46 PM

gangleri wrote:

screen dump for bug 04114

Attached:

gangleri wrote:

from Uri:

This is almost certainly due to

https://bugzilla.mozilla.org/show_bug.cgi?id=121633. Margins
unfortunately don't work well on inline elements (such as the
checkbox) in RTL context.

gangleri wrote:

The squeezing of chackboxes and text is a more general problem. Changed the
subject to reflect this.

compare the checkboxes using ?action=edit / &action=edit in
a) http://ur.wikipedia.org/w/index.php?title=test_foo_bar&action=edit
where both do *not* align properly
b) http://ar.wikipedia.org/w/index.php?title=test_foo_bar&action=edit
where
http://ar.wikipedia.org/w/index.php?title=MediaWiki:Minoredit&action=edit
( [[ar:MediaWiki:Watchthis?action=edit]] ) has a fix but
http://ar.wikipedia.org/w/index.php?title=MediaWiki:Watchthis&action=edit
has *none*
c) http://he.wikipedia.org/w/index.php?title=test_foo_bar&action=edit
where *both*
http://he.wikipedia.org/w/index.php?title=MediaWiki:Minoredit&action=edit
and
http://he.wikipedia.org/w/index.php?title=MediaWiki:Watchthis&action=edit
have a fix
d) http://he.wikipedia.org/w/index.php?title=test_foo_bar&action=edit
where *both*
http://he.wikipedia.org/w/index.php?title=MediaWiki:Minoredit&action=edit
and
http://he.wikipedia.org/w/index.php?title=MediaWiki:Watchthis&action=edit
have a fix but the seccond is different

It should be possible to fix all RTL type "special:Watchlist/edit" as
[[ar:special:Watchlist/edit]] ... [[wiktionary:yi:special:Watchlist/edit]] in a
similar fashion using heading and / or trailing  

best regards reinhardt [[user:gangleri]]

gangleri wrote:

alternative link to ilustrate the problems might be links from "sister projects"
where the workaround is not implemented yet:

http://he.wiktionary.org/w/index.php?title=Test_foo_bar&action=edit

gangleri wrote:

screen dump showing some differencies using &#nnnn; versus UTF-8 characters in MediaWiki Messages

regarding comment 3 you may experience some differencies using &#nnnn; versus
UTF-8 characters in MediaWiki Messages

Text from the first example:
this example in Mozilla Firefox
url is http://yi.wikipedia.org/wiki/special:Upload
http://yi.wikipedia.org/w/index.php?title=MediaWiki:Watchthis contains
 ‫זײַט אױפֿפּאַס 
http://yi.wikipedia.org/w/index.php?title=MediaWiki:Ignorewarnings contains
Ignore any warnings

Text from the second example:
this example in Mozilla Firefox after   is replaced with UTF-8
url is http://yi.wikipedia.org/wiki/special:Upload
http://yi.wikipedia.org/w/index.php?title=MediaWiki:Watchthis contains
‫‫זײַט אױפֿפּאַסן ‫
http://yi.wikipedia.org/w/index.php?title=MediaWiki:Ignorewarnings contains
Ignore any warnings

regards reinhardt [[user:gangleri]]

Attached:

gangleri wrote:

Hallo!

http://test.leuksman.com/view/FiverAlpha:Special_pages/BiDi/Watchlist
describes a way to fix [[ar:special:Watchlist/edit]] (login required).

Please note that
. ' ' . (isRTL() ? '‏' : '‎')
preceeds
$sk->makeLink( $t, $t ) .

best regards reinhardt [[user:gangleri]]

robchur wrote:

Fixed in CVS HEAD.

Restricted Application added a project: I18n. · View Herald TranscriptJun 2 2015, 2:21 PM